description

# IndexError class Null safety

A specialized RangeError used when an index is not in the range `0..indexable.length-1`.

Also contains the indexable object, its length at the time of the error, and the invalid index itself.

Inheritance
  - Object
  - Error
  - ArgumentError
  - IndexError
Implemented types
  - RangeError

## Constructors

IndexError(int invalidValue, dynamic indexable, [String? name, String? message, int? length])
  Creates a new IndexError stating that `invalidValue` is not a valid index into `indexable`. [...]

## Properties

end → int
  The maximum value that value is allowed to assume.
  read-only, override
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
indexable → dynamic
  The indexable object that invalidValue was not a valid index into.
  final
invalidValue → dynamic
  The invalid value.
  final, inherited
length → int
  The length of indexable at the time of the error.
  final
message → dynamic
  Message describing the problem.
  final, inherited
name → String?
  Name of the invalid argument, if available.
  final, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stackTrace → StackTrace?
  read-only, inherited
start → int
  The minimum value that value is allowed to assume.
  read-only, override

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited